<template>
	<view v-if="falg">
		管控状态:{{querystatuName(code)}}
	</view>
	<view v-else >
		{{querystatuName(code)}}
	</view>

</template>

<script>

import {
		qStatus
	} from '@/utils/requestahm.js';
export default {
    data() {
        return {
			codeName:'',
        }
    },
	
	
	props: {
		falg:Number,
		code:{
			type:String,
			default:'',
		},
		statuNameList:{
			type:Array,
			default: [],
		},
			
	},
    methods: {
		querystatuName(statu){
			//更改前
			// for (let i = 0; i < this.statuNameList.length; i++) {
			// 	if(statu == this.statuNameList[i].statusCode){
			// 		return  this.statuNameList[i].statuName
			// 	}
			// }
			for (let i = 0; i < this.statuNameList.length; i++) {
				if(statu == this.statuNameList[i].code){
					if(statu =='LSFC'){
						console.log('LSFC-------',statu)
					}
					return  this.statuNameList[i].name
				}
			}
		},
					
    },
    onLoad(options) {

    },
    created() {
		
    },
}
</script>

<style scoped lang="scss">
    .padding-top {
        padding-top: 20rpx;
    }
    .padding-top5 {
        padding-top: 10rpx;
    }
    .padding-left{
        padding-left: 20rpx;
    }
    .font-size{
        font-size: 32rpx;
        font-weight: 600;
    }
</style>
